/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

/* Photon Colors iOS Variables v3.1.0
 From https://github.com/FirefoxUX/design-tokens/tree/master/photon-colors#readme */
import UIKit

extension UIColor {
    struct Photon {
        static let magenta50 = UIColor(rgb: 0xff1ad9)
        static let magenta60 = UIColor(rgb: 0xed00b5)
        static let magenta70 = UIColor(rgb: 0xb5007f)
        static let magenta80 = UIColor(rgb: 0x7d004f)
        static let magenta90 = UIColor(rgb: 0x440027)

        static let purple50 = UIColor(rgb: 0x9400ff)
        static let purple60 = UIColor(rgb: 0x8236B9)
        static let purple70 = UIColor(rgb: 0x6200a4)
        static let purple80 = UIColor(rgb: 0x440071)
        static let purple90 = UIColor(rgb: 0x25003e)

        static let blue40 = UIColor(rgb: 0x45a1ff)
        static let blue50 = UIColor(rgb: 0x0a84ff)
        static let blue50A30 = UIColor(rgba: 0x0a84ff4c)
        static let blue60 = UIColor(rgb: 0x0060df)
        static let blue70 = UIColor(rgb: 0x003eaa)
        static let blue80 = UIColor(rgb: 0x002275)
        static let blue90 = UIColor(rgb: 0x000f40)

        static let teal50 = UIColor(rgb: 0x00feff)
        static let teal60 = UIColor(rgb: 0x00c8d7)
        static let teal70 = UIColor(rgb: 0x008ea4)
        static let teal80 = UIColor(rgb: 0x005a71)
        static let teal90 = UIColor(rgb: 0x002d3e)

        static let green50 = UIColor(rgb: 0x30e60b)
        static let green60 = UIColor(rgb: 0x12bc00)
        static let green70 = UIColor(rgb: 0x058b00)
        static let green80 = UIColor(rgb: 0x006504)
        static let green90 = UIColor(rgb: 0x003706)

        static let yellow50 = UIColor(rgb: 0xffe900)
        static let yellow60 = UIColor(rgb: 0xd7b600)
        static let yellow70 = UIColor(rgb: 0xa47f00)
        static let yellow80 = UIColor(rgb: 0x715100)
        static let yellow90 = UIColor(rgb: 0x3e2800)

        static let red50 = UIColor(rgb: 0xff0039)
        static let red60 = UIColor(rgb: 0xd70022)
        static let red70 = UIColor(rgb: 0xa4000f)
        static let red80 = UIColor(rgb: 0x5a0002)
        static let red90 = UIColor(rgb: 0x3e0200)

        static let orange50 = UIColor(rgb: 0xff9400)
        static let orange60 = UIColor(rgb: 0xd76e00)
        static let orange70 = UIColor(rgb: 0xa44900)
        static let orange80 = UIColor(rgb: 0x712b00)
        static let orange90 = UIColor(rgb: 0x3e1300)

        static let grey10 = UIColor(rgb: 0xf9f9fa)
        static let grey10A10 = UIColor(rgba: 0xf9f9fa19)
        static let grey10A20 = UIColor(rgba: 0xf9f9fa33)
        static let grey10A40 = UIColor(rgba: 0xf9f9fa66)
        static let grey10A60 = UIColor(rgba: 0xf9f9fa99)
        static let grey10A80 = UIColor(rgba: 0xf9f9facc)
        static let grey20 = UIColor(rgb: 0xededf0)
        static let grey30 = UIColor(rgb: 0xd7d7db)
        static let grey40 = UIColor(rgb: 0xb1b1b3)
        static let grey50 = UIColor(rgb: 0x737373)
        static let grey60 = UIColor(rgb: 0x4a4a4f)
        static let grey70 = UIColor(rgb: 0x38383d)
        static let grey80 = UIColor(rgb: 0x2a2a2e)
        static let grey90 = UIColor(rgb: 0x0c0c0d)
        static let grey90A05 = UIColor(rgba: 0x0c0c0d0c)
        static let grey90A10 = UIColor(rgba: 0x0c0c0d19)
        static let grey90A20 = UIColor(rgba: 0x0c0c0d33)
        static let grey90A30 = UIColor(rgba: 0x0c0c0d4c)
        static let grey90A40 = UIColor(rgba: 0x0c0c0d66)
        static let grey90A50 = UIColor(rgba: 0x0c0c0d7f)
        static let grey90A60 = UIColor(rgba: 0x0c0c0d99)
        static let grey90A70 = UIColor(rgba: 0x0c0c0db2)
        static let grey90A80 = UIColor(rgba: 0x0c0c0dcc)
        static let grey90A90 = UIColor(rgba: 0x0c0c0de5)

        static let ink70 = UIColor(rgb: 0x363959)
        static let ink80 = UIColor(rgb: 0x202340)
        static let ink90 = UIColor(rgb: 0x0f1126)

        static let white100 = UIColor(rgb: 0xffffff)

    }
}
